ELEMENTS-WALLET(1)

NAME
elements-wallet - manual page for elements-wallet v23.3.2

DESCRIPTION
Elements Core elements-wallet version v23.3.2

elements-wallet is an offline tool for creating and interacting with Elements Core wallet files. By default elements-wallet will act on wallets in the default mainnet wallet directory in the datadir. To change the target wallet, use the -datadir, -wallet and -regtest/-signet/-testnet arguments.

  Usage:

    elements-wallet [options] <command>

OPTIONS

-?

    Print this help message and exit

-datadir=<dir>

    Specify data directory

-descriptors

    Create descriptors wallet. Only for 'create'

-dumpfile=<file name>

    When used with 'dump', writes out the records to this file. When used with 'createfromdump', loads the records into a new wallet.

-format=<format>

    The format of the wallet file to create. Either "bdb" or "sqlite". Only used with 'createfromdump'

-legacy

    Create legacy wallet. Only for 'create'

-version

    Print version and exit

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: liquidv1). Reserved values: main, test, signet, regtest, liquidv1, liquidv1test

-con_blockheightinheader

    Whether the chain includes the block height directly in the header, for easier validation of block height in low-resource environments. (default: 1)

-con_has_parent_chain

    Whether or not there is a parent chain.

-con_max_block_sig_size

    Max allowed witness data for the signed block header.

-con_parent_chain_signblockscript

    Whether parent chain uses pow or signed blocks. If the parent chain uses signed blocks, the challenge (scriptPubKey) script. If not, an empty string. (default: empty script [ie parent uses pow])

-con_parentpowlimit

    The proof-of-work limit value for the parent chain.

-con_signed_blocks

    Signed blockchain. Uses input of `-signblockscript` to define what signatures are necessary to solve it.

-fedpegscript

    The script for the federated peg enforce from genesis block. This script may stop being enforced once dynamic federations activates.

-parentgenesisblockhash

    The genesis blockhash of the parent chain.

-signblockscript

    Signed blockchain enumberance. Only active when `-con_signed_blocks` set to true.

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the test chain. Equivalent to -chain=test.

Elements Options:

-acceptunlimitedissuances

    Allow unblinded issuance amounts to exceed 21 million units

-con_blocksubsidy

    Defines the amount of block subsidy to start with, at genesis block, in satoshis.

-con_connect_genesis_outputs

    Connect outputs in genesis block to utxo database.

-con_csv_deploy_start

    Starting height for CSV deployment. (default: -1, which means ACTIVE from genesis)

-con_dyna_deploy_signal

    Whether to signal for the Dynamic Federations deployment (default: 1).

-con_elementsmode

Use Elements-like instead of Core-like witness encoding.
    This is

    required for CA/CT. (default: 1)

-con_mandatorycoinbase

    All non-zero valued coinbase outputs must go to this scriptPubKey, if set.

-dynamic_epoch_length

    Per-chain parameter that sets how many blocks dynamic federation voting and enforcement are in effect for.

-enforce_pak

    Causes standardness checks to enforce Pegout Authorization Key(PAK) validation before dynamic federations, and consensus enforcement after.

-multi_data_permitted

    Allow relay of multiple OP_RETURN outputs. (default: -enforce_pak)

-pak

    Sets the 'first extension space' field to the pak entries ala pre-dynamic federations. Only used for testing in custom chains.

-total_valid_epochs

    Per-chain parameter that sets how long a particular fedpegscript is in effect for.

Commands:

    create

    Create new wallet file

    createfromdump

    Create new wallet file from dumped records

    dump

    Print out all of the wallet key-value records

    info

    Get wallet info

    salvage

    Attempt to recover private keys from a corrupt wallet. Warning: 'salvage' is experimental.

COPYRIGHT
Copyright (C) 2009-2026 The Elements Project developers Copyright (C) 2009-2026 The Bitcoin Core developers Please contribute if you find Elements Core useful. Visit <https://elementsproject.org/> for further information about the software. The source code is available from <https://github.com/ElementsProject/elements>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>